Bug 5201 - Пересборка srpm перед rpm
: Пересборка srpm перед rpm
Status: CLOSED WORKSFORME
: Sisyphus
(All bugs in Sisyphus/hasher)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-09-10 14:25 by
Modified: 2006-02-18 02:26 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-09-10 14:25:06
Хочется чтоб можно было сначала пересобрать srpm пакет, а потом уже из него
собрать rpm. Все равно в hasher не проверяется gpg.

PS: Хочется чтоб это можно было сделать ОДНОЙ командой. И не внешней оберткой,
ибо это получается долго.
------- Comment #1 From 2004-09-10 14:35:32 -------
А чем вам опция --repackage-source не подходит?

И что значит "внешней оберткой" ? что вы имеете ввиду ?
------- Comment #2 From 2004-09-10 14:42:21 -------
А вы --repackage-source сами пробовали? Она похоже пересобирает srpm
одновременно с rpm. А мне надо по очереди.

Внешней оберткой это что-то вроде: 
hsh --repackage-source ... my.src.rpm
hsh ... <hasher/dir> <hasher/dir>/repo/my.src.rpm
------- Comment #3 From 2004-09-10 15:27:54 -------
(In reply to comment #2)
> А вы --repackage-source сами пробовали? Она похоже пересобирает srpm

пробовал и использую. пересборка происходит как если бы вы делали "rpm -ba"

> одновременно с rpm. А мне надо по очереди.

Т.е. вам нужно чтобы hasher выполнял "rpm -bs" ? или я чего-то не понял ?
 
------- Comment #4 From 2004-09-10 15:41:22 -------
(In reply to comment #3)
> > А вы --repackage-source сами пробовали? Она похоже пересобирает srpm
> пробовал и использую. пересборка происходит как если бы вы делали "rpm -ba"
Именно!!!
> > одновременно с rpm. А мне надо по очереди.
> Т.е. вам нужно чтобы hasher выполнял "rpm -bs" ? или я чего-то не понял ?
Да. И сразу после этого "rpm -bb" .

Хотя можно и отдельным ключом сделать только "rpm -bs".
------- Comment #5 From 2004-09-10 15:50:57 -------
(In reply to comment #4)
> Именно!!!

А этого мало ?

> Да. И сразу после этого "rpm -bb" .
> 
> Хотя можно и отдельным ключом сделать только "rpm -bs".

А если не секрет, то зачем ?
Я немогу придумать причин для перепаковки srpm в чистом окружении? 

------- Comment #6 From 2004-09-10 15:55:08 -------
(In reply to comment #5)
> > Именно!!!
> А этого мало ?
Ну раз прошу фичу, то видимо мало... ;)
> > Хотя можно и отдельным ключом сделать только "rpm -bs".
> 
> А если не секрет, то зачем ?
> Я немогу придумать причин для перепаковки srpm в чистом окружении? 
Как минимум для успокоения души. Я просто почти всегда собираю srpm'ы командой
"rpm -bs --nodeps <SPEC>"
------- Comment #7 From 2004-09-10 16:23:49 -------
(In reply to comment #6)
> Как минимум для успокоения души. Я просто почти всегда собираю srpm'ы командой
> "rpm -bs --nodeps <SPEC>"

А как же вы выставляете BuildRequires ? ручками ?
Просто при выполнении приведенной вами команды будут нужны BuildRequires и
зависимости к ним ... 
------- Comment #8 From 2004-09-12 10:15:25 -------
(In reply to comment #7)
> > Как минимум для успокоения души. Я просто почти всегда собираю srpm'ы командой
> > "rpm -bs --nodeps <SPEC>"
> 
> А как же вы выставляете BuildRequires ? ручками ?
Ну иногда и ручками приходится. Правда тогда я проставляю PreBuiltReq:... а
обычно я buildreq на другой машинке пускаю... но на регулярную пересборку ей
мощей не хватает...
> Просто при выполнении приведенной вами команды будут нужны BuildRequires и
> зависимости к ним ... 
Как раз при выполнении этой команды оно и не надо...
------- Comment #9 From 2004-11-10 20:13:04 -------
Я не вижу в этом смысла, но если вам _это_ надо, то у hsh(1) есть параметр
--rebuild-prog, с помощью которого можно творить и не такое.
------- Comment #10 From 2004-11-11 04:04:30 -------
(In reply to comment #9)
> Я не вижу в этом смысла,
Ну тогда надо было выставить статус в RESOLVED WONTFIX...
> но если вам _это_ надо, то у hsh(1) есть параметр
> --rebuild-prog, с помощью которого можно творить и не такое.
Спасибо за подсказку... еще бы примерчик... ;)

Но это уже в личку.